import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteCurserUseCase } from './DeleteCurserUseCase';


class DeleteCurserController {
    async handle(request: Request, response: Response) {
        const { id } = request.params;
        const deleteCurserUseCase = container.resolve(DeleteCurserUseCase)

        await deleteCurserUseCase.execute(id)

        return response.status(200).json({ "message": "Deleted" })
    }
}

export { DeleteCurserController }